{% extends "base.html" %}

{% block extra_javascript %}
<script src="https://cdn.jsdelivr.net/npm/signature_pad@4.1.5/dist/signature_pad.umd.min.js"></script>
{% endblock %}

{% block title %}Questionnaire à signer{% endblock %}

{% block breadcrumb %}
<li class="breadcrumb-item"><a href="{% url 'home' %}">Accueil</a></li>
<li class="breadcrumb-item"><a href="{% url 'client-edit' client.pk %}">{{ client.nom_prenom }}</a></li>
<li class="breadcrumb-item active" aria-current="page">Questionnaire à signer</li>
{% endblock %}

{% block content %}
<iframe src="{% url 'client-questionnaire' client.pk %}?attach=no&forsign=yes" frameborder="0" height="1600" width="100%">
</iframe>

<h3>Dispositions finales</h3>
<p>
    Veuillez noter que tous les détails des prestations auxquelles vous recourez
    sont régies par le contrat Alarme Croix-Rouge et les conventions de prestations correspondantes.
</p>

<p>
    Veuillez remplir ce formulaire de manière complète et précise. La {{ cr_canton }}
    et la centrale d’alarme s’engagent à traiter de façon strictement
    confidentielle toutes les données personnelles qui y figurent.
</p>

<p><b>Accord</b><br>
    Je confirme avoir pris connaissance des informations techniques ci-dessus et
    accepte que mes données personnelles soient enregistrées auprès de la
    centrale d’alarme et de la {{ cr_canton }}.
</p>

<form id="signature_form" method="post" class="unmonitor">{% csrf_token %}
    <input type="hidden" id="sig_data_id" name="sig_data" value="">
    <p>
        <label for="lieu_id">Lieu :</label> <input type="text" id="lieu_id" name="lieu" value="" required>
    </p>
    <div>
        <canvas class="signature_canvas" height="300" width="600"  data-input="sig_data_id"></canvas><br>
        <button type="button" class="btn btn-secondary clear">Effacer</button>
    </div>

    <div class="text-end" width="300">
        <button id="save" type="button" class="btn btn-primary">Valider</button>
    </div>
</form>
{% endblock %}
